liam_davison
I'm new here

Support for Oracle 19c?

Hello,

Will future versions of Oracle be supported by FirstSpirit? The technical detail sheet at Documentation for Administrators - Compatible components only mentions Oracle 12c support. Our organisation is looking to move to Oracle 19c, hopefully by March 2020.

Many thanks,

Liam Davison

Labels (1)
Tags (2)
0 Kudos
9 Replies
sense
Elite Observer

Re: Support for Oracle 19c?

Request and answer from my request to the e-Spirit Helpdesk from July 24th 2019.

Request

In the documentation of FS I only can find a statement to Oracle 12c. Can you validate the Oracle 19 possibility?

Answer

We have not yet tested Oracle 19 enough to officially support it, but have received positive feedback from other customers. Since we support Oracle databases in general, there is nothing against using Oracle 19 in conjunction with FirstSpirit.

0 Kudos
mfinsterbusch
Elite Observer

Re: Support for Oracle 19c?

Hi everybody,

are there any news regarding oracle19c?

Does anybody have experience by upgrading to oracle19c from a lower version?

Any known pitfalls or best practices?

Thanks in advance,

Maik

0 Kudos
walgen
e-Spirit employee

Re: Support for Oracle 19c?

Hi Maik,

> are there any news regarding oracle19c?

we started working on Oracle 19 Support a few days ago, target release is FS 2020-06

further information will be posted here.

Regards,

Stefan Walgenbach

0 Kudos
sense
Elite Observer

Re: Support for Oracle 19c?

Hi Stefan,

good news from core team to tell my customers.

Regards Sven

0 Kudos
rusch
I'm new here

Re: Support for Oracle 19c?

As Stefan Walgenbach wrote we are currently working on the Oracle Database 19c support. I am happy to be able to provide you with current information on behalf of the entire Oracle Database 19c support project team.

We have already tested FirstSpirit substantially with Oracle Database 19c and if no more serious problems occur, we will offer support in an Early Access Phase with FirstSpirit Release 2020-06.

Unfortunately the previous database layer (OracleLayer) is not compatible with Oracle Database 19c due to changes in the database and driver. Therefore we have implemented a new database layer (Oracle19cLayer) to re-establish compatibility of Oracle Database 11g/12c with 19c. With the new database layer we have already looked at many use cases, but unfortunately it is not possible for us to know and reproduce all use cases during a migration from Oracle Database 11g/12c to 19c.

That's where you come in. Help us with your participation in the EAP program, so we can support you in case of problems with the new database layer in time and solve any problems in a timely manner. Then nothing stands in the way of a final release of the new database layer in Q3/2020.

Regards,

Sascha Rusch

0 Kudos
sense
Elite Observer

Re: Support for Oracle 19c?

Great news, thanks for the update which I can directly pass to my customer.

0 Kudos
plaga
I'm new here

Re: Support for Oracle 19c?

There is now a community blog posting announcing Oracle Database 19c support with FirstSpirit 2020-06 !

Please provide feedback in comments under that post.

0 Kudos
tpilz
I'm new here

Re: Support for Oracle 19c?

Hi Vlado,

im not able to comment under the mentioned Blog Post - maybe there is some rights issue.

Can you please take a look, there are no other comments under the Blog Post so maybe i am not the only one who cant comment.

Best regards

Thomas

0 Kudos
plaga
I'm new here

Re: Support for Oracle 19c?

Hi Thomas,

thanks for pointing this out! We changed the Customers blog permissions, so that commenting should now be possible. We're looking forward to your feedback!

Best regards,

Vlado

0 Kudos